<?php
// +----------------------------------------------------------------------
// | saiadmin [ saiadmin快速开发框架 ]
// +----------------------------------------------------------------------
// | Author: your name
// +----------------------------------------------------------------------
namespace app\dice\model\reward_config;

use plugin\saiadmin\basic\think\BaseModel;

/**
 * 奖励配置模型
 *
 * dice_reward_config 奖励配置
 *
 * @property  $id ID
 * @property  $grid_number 色子点数
 * @property  $ui_text 前端显示文本
 * @property  $real_ev 真实资金结算
 * @property  $tier 所属档位
 * @property  $remark 备注
 * @property  $create_time 创建时间
 * @property  $update_time 修改时间
 */
class DiceRewardConfig extends BaseModel
{
    /**
     * 数据表主键
     * @var string
     */
    protected $pk = 'id';

    /**
     * 数据库表名称
     * @var string
     */
    protected $table = 'dice_reward_config';

    /** 色子点数下限 */
    public function searchGridNumberMinAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('grid_number', '>=', $value);
        }
    }

    /** 色子点数上限 */
    public function searchGridNumberMaxAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('grid_number', '<=', $value);
        }
    }

    /** 前端显示文本模糊 */
    public function searchUiTextAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('ui_text', 'like', '%' . $value . '%');
        }
    }

    /** 真实资金结算下限 */
    public function searchRealEvMinAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('real_ev', '>=', $value);
        }
    }

    /** 真实资金结算上限 */
    public function searchRealEvMaxAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('real_ev', '<=', $value);
        }
    }

    /** 所属档位 */
    public function searchTierAttr($query, $value)
    {
        if ($value !== '' && $value !== null) {
            $query->where('tier', '=', $value);
        }
    }
}
